Subject: BioOrganic growing supplies

From: don <[email-masked]>
Date: 3 Jul 1996 17:06:36 GMT

For those of you who might be looking for legitimate new organic growing 
supplies, our company offers mycorrhizae inoculants (we are the only 
source in the world for many of species), trace-element volcanic minerals 
and humates, Certified-organic dry fish-based 9-3-5 fertilizer, and many 
other innovative horticultural products.  We offer trial sizes and ship 
all over.

Don Chapman
Bio/Organics Supply Center
Camarillo CA
<http://www2.bio-organics.com/bio/>